Name:           goxel
Version:        0.15.1
Release:        %mkrel 1
Summary:        3D voxel graphics editor
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            https://github.com/guillaumechereau/goxel
Source0:        https://github.com/guillaumechereau/goxel/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  imagemagick
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glfw3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  scons

%description
Goxel is an open source voxel graphics editor. Voxels are 3D images formed
of cubic elements). Main features:
- 24 bits RGB colors.
- Unlimited scene size and undo buffer.
- Multiple layers.
- Marching cube and procedural rendering.
- Export to obj, pyl, png, magica voxel, qubicle.

%prep
%autosetup -p1

%build
%set_build_flags
%scons mode=release werror=0

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_iconsdir}/hicolor/{48x48,256x256,1024x1024}/apps
install -m644 icon.png %{buildroot}%{_iconsdir}/hicolor/1024x1024/apps/%{name}.png
convert icon.png -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert icon.png -resize 256x256 %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Goxel
GenericName=Voxel graphics editor
Comment=3D voxel graphics editor
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Graphics;VectorGraphics;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Aug 16 2024 daviddavid <daviddavid> 0.15.1-1.mga10
+ Revision: 2086742
- new version: 0.15.1

* Wed Feb 14 2024 daviddavid <daviddavid> 0.14.0-1.mga10
+ Revision: 2041269
- new version: 0.14.0

* Thu Mar 31 2022 umeabot <umeabot> 0.10.8-2.mga9
+ Revision: 1837127
- Mageia 9 Mass Rebuild

* Thu Dec 02 2021 akien <akien> 0.10.8-1.mga9
+ Revision: 1760530
- Version 0.10.8

* Mon Dec 07 2020 akien <akien> 0.10.7-1.mga8
+ Revision: 1654036
- Version 0.10.7

* Sun Jun 28 2020 joequant <joequant> 0.10.6-4.mga8
+ Revision: 1600028
- run release build
- fix deps
- remove sanitizer from arm
- remove sanitizer for arm
- fix sources
- update to 0.10.6 / build for gcc10

* Sat Feb 15 2020 umeabot <umeabot> 0.8.3-3.mga8
+ Revision: 1526118
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Apr 26 2019 akien <akien> 0.8.3-2.mga7
+ Revision: 1395367
- Rebuild for glfw 3.3

* Thu Apr 11 2019 akien <akien> 0.8.3-1.mga7
+ Revision: 1388290
- Version 0.8.3
- Build with GCC again, no specific reason to use clang

* Thu Feb 07 2019 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1363750
- new version: 0.8.2

* Tue Sep 25 2018 daviddavid <daviddavid> 0.8.1-1.mga7
+ Revision: 1304882
- new version: 0.8.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ akien <akien>
- Version 0.8.0

* Mon Oct 02 2017 cjw <cjw> 0.7.1-2.mga7
+ Revision: 1163272
- patch1: fix build with gcc 7 (for -Wformat -Werror)

* Sat Aug 26 2017 akien <akien> 0.7.1-1.mga7
+ Revision: 1147986
- Version 0.7.1
- New upstream icon

* Tue May 02 2017 akien <akien> 0.6.0-1.mga6
+ Revision: 1098227
- Version 0.6.0

* Sun Mar 19 2017 akien <akien> 0.5.0-2.mga6
+ Revision: 1093639
- Fix invalid desktop file

* Sat Mar 11 2017 akien <akien> 0.5.0-1.mga6
+ Revision: 1091877
- Version 0.5.0

* Fri Feb 10 2017 akien <akien> 0.4.0-1.mga6
+ Revision: 1085578
- Version 0.4.0

* Tue Aug 09 2016 akien <akien> 0.3.0-1.mga6
+ Revision: 1045050
- imported package goxel

